## ros-indigo-rosserial-server 0.6.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosserial_server)

find_package(catkin REQUIRED COMPONENTS roscpp rosserial_msgs topic_tools)
find_package(Boost REQUIRED COMPONENTS system thread)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS roscpp rosserial_msgs topic_tools
)

include_directories(
  include
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

add_executable(${PROJECT_NAME}_serial_node src/serial_node.cpp)
target_link_libraries(${PROJECT_NAME}_serial_node ${catkin_LIBRARIES})
set_target_properties(${PROJECT_NAME}_serial_node PROPERTIES OUTPUT_NAME serial_node PREFIX "")
add_dependencies(${PROJECT_NAME}_serial_node rosserial_msgs_gencpp)

add_executable(${PROJECT_NAME}_socket_node src/socket_node.cpp)
target_link_libraries(${PROJECT_NAME}_socket_node ${catkin_LIBRARIES})
set_target_properties(${PROJECT_NAME}_socket_node PROPERTIES OUTPUT_NAME socket_node PREFIX "")
add_dependencies(${PROJECT_NAME}_socket_node rosserial_msgs_gencpp)

install(
  TARGETS ${PROJECT_NAME}_socket_node ${PROJECT_NAME}_serial_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-rosserial-server (0.6.4-0trusty) trusty; urgency=high

  * Bugfix for checksum, fixes messages > 255 chars in length.
  * Contributors: Chad Attermann, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 06 Jul 2015 04:00:00 -0000

ros-indigo-rosserial-server (0.6.3-0trusty) trusty; urgency=high

  * Add more log output, don't end the session for certain write errors.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 05 Nov 2014 05:00:00 -0000

ros-indigo-rosserial-server (0.6.2-0trusty) trusty; urgency=high

  * Bugfix for interrupted sessions.
    This is a two-part fix for an issue causes a segfault when the device
    disappears during operation, for example a ttyACM device which is unplugged.
    The AsyncReadBuffer part avoids calling a callback after the object
    owning it has destructed, and the SerialSession part avoids recreating
    itself until the previous instance has finished the destructor and been
    full destroyed.
  * Add dependency on rosserial_msgs_gencpp, fixes #133 <https://github.com/ros-drivers/rosserial/issues/133>
  * Make ServiceClient::handle public, to fix compilation bug on some platforms.
  * Enabled registration of service clients
  * Add namespaces to headers, swap ROS thread to foreground.
  * Move headers to include path, rename to follow ROS style.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 10 Sep 2014 04:00:00 -0000

ros-indigo-rosserial-server (0.6.1-0trusty) trusty; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 30 Jun 2014 04:00:00 -0000

ros-indigo-rosserial-server (0.6.0-0trusty) trusty; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 11 Jun 2014 04:00:00 -0000

ros-indigo-rosserial-server (0.5.6-0trusty) trusty; urgency=high

  * Fixed build error due to variable being read as a function due to missing parenthesis
  * Add rosserial_python as dependency of rosserial_server
  * Contributors: Mike Purvis, spaghetti-

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 11 Jun 2014 04:00:00 -0000

ros-indigo-rosserial-server (0.5.5-0trusty) trusty; urgency=high

  * Add support for require/publishers and require/subscribers parameters.
  * Use stream logging in rosserial_server

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 14 Jan 2014 05:00:00 -0000

ros-indigo-rosserial-server (0.5.4-0trusty) trusty; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 17 Oct 2013 04:00:00 -0000

ros-indigo-rosserial-server (0.5.3-0trusty) trusty; urgency=high

  * New package: rosserial_server
  * Contains example launch file for serial configuration of server
  * Working now with both Groovy and Hydro clients.
  * Subscriber to correctly declare known md5 and topic type from client.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sat, 21 Sep 2013 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-rosserial-server
Section: misc
Priority: extra
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roscpp, ros-indigo-rosserial-msgs, ros-indigo-std-msgs, ros-indigo-topic-tools
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-rosserial-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-roscpp, ros-indigo-rosserial-msgs, ros-indigo-rosserial-python, ros-indigo-std-msgs, ros-indigo-topic-tools
Description: The rosserial_server package provides a C++ implementation of the rosserial server side, serving as a more performance- and stability-oriented alternative to rosserial_python.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rosserial-server//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
